Bug 221692 - Nethack font warning
Nethack font warning
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nethack (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-06 01:03 EST by Jerry James
Modified: 2016-09-19 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.4.3-16.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:02:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2007-01-06 01:03:51 EST
Description of problem:
When the X11 version of nethack is started, it complains
  Warning: Cannot convert string "nh10" to type FontStruct
This means that X cannot locate the nh10.pcf file, which is in
/usr/games/nethack-3.4.3/fonts.

Version-Release number of selected component (if applicable):
nethack-3.4.3-12.fc6

How reproducible:
Always

Steps to Reproduce:
1. Create a ~/.nethackrc file containing the string "OPTIONS=windowtype:x11"
2. Start nethack
  
Actual results:
The font warning described above is issued.

Expected results:
The font should be found.

Additional info:
Comment 1 Jerry James 2008-01-14 18:23:05 EST
This bug is still present in F-8.  If you'll make the RPM put a symbolic link,
named nethack-fonts perhaps, in /etc/X11/fontpath.d and pointing to
/usr/games/nethack-3.4.3/fonts, then this bug goes away.
Comment 2 Luke Macken 2008-01-17 11:10:06 EST
Tagged and built for devel.  Thanks!

I'll push this as an update for F8 once I fix up the others as well.
Comment 3 Fedora Update System 2008-01-27 02:11:39 EST
nethack-3.4.3-16.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nethack'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F8/FEDORA-2008-1029
Comment 4 Fedora Update System 2008-02-13 00:02:22 EST
nethack-3.4.3-16.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-02-13 00:17:02 EST
nethack-3.4.3-16.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.